# Topic Dynamics & Details

### Endpoint

```
GET /single-feature-api/meeting/details-by-topics
```

### Parameters

| Name            | Type   | Description                                    |
| --------------- | ------ | ---------------------------------------------- |
| Authorization   | Header | Bearer token for authentication.               |
| file-hash       | Query  | Hash of the meeting recording file.            |
| period\_seconds | Query  | Length of the period in seconds (default: 300) |

### Request Headers

The request should include the following header:

```
Authorization: Bearer <token>
```

### Request Query Parameters

The request may include the following query parameters:

| Name            | Type    | Required | Description                                     |
| --------------- | ------- | -------- | ----------------------------------------------- |
| file-hash       | string  | true     | Hash of the meeting recording file.             |
| period\_seconds | integer | false    | Length of the period in seconds (default: 300). |

### Responses

| HTTP Code | Description                                                               |
| --------- | ------------------------------------------------------------------------- |
| 200       | Success. Returns the list of details about topics in the meeting as JSON. |
| 400       | Bad request. Invalid or missing parameters.                               |
| 401       | Unauthorized. Invalid or expired token.                                   |
| 404       | Meeting not found.                                                        |

### Success Response

**HTTP Code:** 200

**Response Body:**

```json
{
  "topics": [
    {
      "topic": "topic name",
      "start": 0,
      "end": 300000,
      "speakers": [
        {
          "id": "1c2ee2da-e2f6-433d-b554-248707c2491c",
          "alias": "Daniel"
        },
        ...
      ],
      "sentiment": "Somewhat Negative",
      "emotions_score": 35,
      "energy": {
        "energy_score": 100,
        "talking_time": 0.45,
        "silence_time": 0.55,
        "interactions": {
          "nodes": [
            {
              "between": [
                "8b3c1e7b-64da-4320-b699-0dc3cff03aae",
                "1c2ee2da-e2f6-433d-b554-248707c2491c"
              ],
              "value": 100
            },
            ...
          ]
        },
        "emotions": [
          "happiness"
        ]
      },
      "interactions_score": 40,
      "involvement_score": 45
    },
    ...
  ]
}
```

### Error Responses

**HTTP Code:** 400

**Response Body:**

```json
{
  "message": "Bad request"
}
```

**HTTP Code:** 401

**Response Body:**

```json
{
  "message": "Unauthorized"
}
```

**HTTP Code:** 404

**Response Body:**

```json
{
  "message": "Meeting not found"
}
```

### Example Response

**HTTP Code:** 200

**Response Body:**

```json
{
  "topics": [
    {
      "topic": "Space Invaders",
      "start": 0,
      "end": 300000,
      "speakers": [
        {
          "id": "1c2ee2da-e2f6-433d-b554-248707c2491c",
          "alias": "Derek"
        },
        {
          "id": "8b3c1e7b-64da-4320-b699-0dc3cff03aae",
          "alias": "Marie"
        }
      ],
      "sentiment": "Somewhat Negative",
      "emotions_score": 35,
      "energy": {
        "energy_score": 100,
        "talking_time": 0.45,
        "silence_time": 0.55,
        "interactions": {
          "nodes": [
            {
              "between": [
                "8b3c1e7b-64da-4320-b699-0dc3cff03aae",
                "1c2ee2da-e2f6-433d-b554-248707c2491c"
              ],
              "value": 100
            },
            {
              "between": [
                "8b3c1e7b-64da-4320-b699-0dc3cff03aae",
                "d348a4ba-44ba-4fd3-a99a-81a7beca4ab4"
              ],
              "value": 75
            }
          ]
        },
        "emotions": [
          "happiness"
        ]
      },
      "interactions_score": 40,
      "involvement_score": 45
    },
    {
      "topic": "another topic",
      "start": 300000,
      "end": 600000,
      "speakers": [
        {
          "id": "1c2ee2da-e2f6-433d-b554-248707c2491c",
          "alias": "D"
        },
        {
          "id": "8b3c1e7b-64da-4320-b699-0dc3cff03aae",
          "alias": "M"
        },
        {
          "id": "d348a4ba-44ba-4fd3-a99a-81a7beca4ab4",
          "alias": "T"
        }
      ],
      "sentiment": "Neutral",
      "emotions_score": 50,
      "energy": {
        "energy_score": 75,
        "talking_time": 0.6,
        "silence_time": 0.4,
        "interactions": {
          "nodes": [
            {
              "between": [
                "1c2ee2da-e2f6-433d-b554-248707c2491c",
                "d348a4ba-44ba-4fd3-a99a-81a7beca4ab4"
              ],
              "value": 90
            },
            {
              "between": [
                "d348a4ba-44ba-4fd3-a99a-81a7beca4ab4",
                "8b3c1e7b-64da-4320-b699-0dc3cff03aae"
              ],
              "value": 80
            }
          ]
        },
        "emotions": [
          "neutral",
          "happiness"
        ]
     
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.meetra.ai/meetra-ai-conversation-intelligence-api-reference/topic-dynamics-and-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
